#!/bin/bash

# prevent file globbing
set -f

function to_html()
{
	local s="$@"
	s=${s//&/&amp;}
	s=${s//\'/&apos;}
	s=${s//\"/&quot;}
	s=${s//</&lt;}
	s=${s//>/&gt;}
	echo $s
}

DOC_ID=`to_html $HYLAFAX_DocID`

cat << __HYLAFAX_HTML_EOF__
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<title>Send Fax Wizard - Invalid Document</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link rel="stylesheet" type="text/css" href="/hylafax/templates/wiz.css" />
	</head>
	<body>
		<table>
			<tr><td>
				<table class="caption">
					<tr valign="center">
						<td valign="center"><h1 class="caption">Send Fax Wizard</h1></td>
						<td align="left" valign="center"><img src="/hylafax/images/fax.gif" align="right"></td>
					</tr>
				</table>
             	<hr>
			</td></tr>
			<tr><td>
                <table>
                    <tr>
                        <td><p class="doc_info_label">Job ID</p></td>
                        <td><p class="doc_info_data">( unkown )</p></td>
                    </tr>
                    <tr>
                        <td><p class="doc_info_label">Document:</p></td>
                        <td><p class="doc_info_data">ID = $DOC_ID</p></td>
                    </tr>
                </table>
				<hr>
			</td></tr>
            <tr><td>
          	<div class="form_error">
			<p><img src="/icons/warning16x16.png" hspace="5">The document you specified is no longer valid:</p>
			<ul>
				<li>Please try to re-fax your document.</li>
			</ul>
		    </div>
            </td></tr>
		</table>
	</body>
</html>
__HYLAFAX_HTML_EOF__
